/// <reference types="@adonisjs/application/build/adonis-typings" />
/// <reference types="@adonisjs/http-server/build/adonis-typings" />
/// <reference types="@adonisjs/bodyparser/build/adonis-typings" />
/// <reference types="@adonisjs/validator" />
declare module '@ioc:React' {
    import { ApplicationContract } from '@ioc:Adonis/Core/Application';
    import { HttpContextContract } from '@ioc:Adonis/Core/HttpContext';
    import { RequestContract } from '@ioc:Adonis/Core/Request';
    import { MakeUrlOptions, MakeSignedUrlOptions } from '@ioc:Adonis/Core/Route';
    interface AdonisContextContract {
        app: ApplicationContract;
        ctx: HttpContextContract;
        request: RequestContract;
        params: HttpContextContract['params'];
        route: HttpContextContract['route'];
        makeUrl: (routeIdentifier: string, options?: MakeUrlOptions, domain?: string) => string;
        makeSignedUrl: (routeIdentifier: string, options?: MakeSignedUrlOptions, domain?: string) => string;
    }
    function useAdonisContext(): AdonisContextContract;
}
declare module '@ioc:Adonis/Core/HttpContext' {
    import { ComponentPropsWithoutRef, ComponentType } from 'react';
    interface HttpContextContract {
        react: {
            share(obj: Record<string, unknown>): void;
            render<T>(Component: ComponentType<T>, props?: ComponentPropsWithoutRef<ComponentType<T>>): string;
        };
    }
}
